function [x,obj,t] = lpsolve(A,b,c,rwstat,lbounds,ubounds,ranges,xint,autoscale)
// [x,obj] = lpsolve(FILMPS [,bounds[,maxsizes]])
// [x,obj] = lpsolve(A,b,c,rwstar,lbounds,ubounds,ranges,xint,autoscale)

[nargout,nargin]=argn(0);

//  [x,obj] = lpsolve(FILMPS, [,bounds[,maxsizes]])
//
//lp = lpmex('read_mps',A+'.mps' );
if type(A) == 10 then
   if nargin > 3 then
     error(58)
   end
  select nargin
   case 3  then
      mps = readmps (A+'.mps',b,c)
   case 2  then
       mps = readmps (A+'.mps',b)
   case 1 then
       mps = readmps (A+'.mps',[0;1D30])
   end;
IROBJ = mps('irobj');
rwstat =mps('rowstat');
rhs = mps ('rhs');
M = length(rhs);
ranges = mps('ranges');
lbounds = mps ('bounds')(:,1);
ubounds = mps ('bounds')(:,2);
N =length(lbounds);

A = adj2sp(mps('colpnts'),mps('rownmbs'), mps('acoeff'));
if prod(size(A)) <> M*N then A(M,N)=0;end;

c =full(A(IROBJ,:))';
i=[1:(IROBJ-1),(IROBJ+1):M];
b=rhs(i);
A =A(i,:);
rwstat=rwstat(i);
ranges=ranges(i);
nargin=6;
end;
//
if nargin < 7
  ranges = 1.000E+30;
end;
//
// [x,obj] = lpsolve(A,b,c,rwstat,lbounds,ubounds,ranges,xint,autoscale)
//
// ranges
ir = find(ranges < 1.000E+30);
if ir <> [] then
     irr = find(rwstat(ir)==2 | (rwstat(ir) == 1 & b(ir) >= 0));
     irr1= find(rwstat(ir)==3 | (rwstat(ir) == 1 & b(ir) < 0));
     rwstat(ir(irr)) = 2*ones(irr)';
     A = [A;A(ir(irr),:)];
     b = [b;b(ir(irr))+ranges(ir(irr))];
     rwstat = [rwstat;3*ones(irr)'];
     rwstat(ir(irr1)) = 3*ones(irr1)';
     A = [A;A(ir(irr1),:)];
     b = [b;b(ir(irr1))-ranges(ir(irr1))];
     rwstat = [rwstat;2*ones(irr1)'];
end;
[m,n] = size(A);
if type(A)~=7 then
A = mtlb_sparse(sparse(A));
end;
lp = lpmex('make_lp',m,n);
lpmex('set_mat', lp, A);
lpmex('set_rh_vec', lp, b);
lpmex('set_obj_fn', lp, c );
//lpmex('set_maxim', lp); //   default is solving minimum lp.

ie = find(rwstat == 3);
e  = rwstat ;
e(ie) = zeros(ie)';

for i = 1:length(e)
  lpmex('set_constr_type', lp, i,e(i));
end

if   nargin > 4 
for i = 1:length(lbounds)
  lpmex('set_lowbo', lp,i,lbounds(i));
end
end

if nargin > 5
for i = 1:length(ubounds)
  lpmex('set_upbo', lp,i,ubounds(i));
end
end

if nargin > 7
for i = 1:length(xint)
  lpmex('set_int', lp,xint(i),1);
end
end

if nargin > 8
if autoscale ~= 0 
  lpmex('auto_scale', lp);
else
  lpmex('unscale', lp);
end
end



timer();
result = lpmex('solve',lp);

//
//0-5 respectively for OPTIMA, MILP_FAIL, INFEASIBLE, UNBOUNDED,
//         FAILURE and RUNNING.

select result
   case 0  then 
[obj,x,duals] = lpmex('get_solution',lp);
err22=22;
   case 1  then
warning ( 'MILP_FAIL');
x=[];obj=[];err22=0;
   case 2  then
warning ( 'INFEASIBLE');
x=[];obj=[];err22=0;
   case 3 then
warning ( 'UNBOUNDED' );
x=[];obj=[];err22=0;
   case 4 then
warning ( 'FAILURE');
x=[];obj=[];err22=0;
//   case 5 then
// warning ( ' RUNNING');
  end;

if err22<> 22 then 
 x= []; obj=[];
warning ( 'result =    ')
write(%io(2), result );
end;

t=timer();

lpmex('delete_lp',lp);



























