.TH lp_info 1 "MAI 1999" "Scilab Group" "Scilab Function"
.so ../sci.an
.SH NAME
lp_info - Returnes information of mixed integer linear programming problems.
.SH CALLING SEQUENCE
 [valid_handle,obj,x,duals,basis] = lp_info(lp_handle,solution,basis,lp,scale)

.fi
.SH PARAMETERS
.TP 10
lp_handle
: integer handle pointing to LP problem.
.TP 10
solution
: flag for returning the solution of the LP problem.
.TP 10
lp
: flag for printing the LP problem.
.TP 10
basis
: flag for returning the basis of the LP problem.
.TP 10
scale
: flag for printing the scales of the LP problem.
.TP 10
valid_handle
: array of integer handle to the lp created.
.TP 10
obj
: Optimal value of the objective function.
.TP 10
x
: Optimal value of the decision variables.
.TP 10
duals
: solution of the dual problem.
.TP 10
basis
: basis of the lp problem.

.SH DESCRIPTION
Returnes information of mixed integer linear programming problems
.fi
.SH EXAMPLE
.nf
//          Var[  1] Var[  2] Var[  3] Var[  4]
//Minimize      2.00     3.00    -2.00     3.00
//Row[  1]      3.00     2.00     2.00     1.00 <=     4.00
//Row[  2]      0.00     4.00     3.00     1.00 >=     3.00
//Type          Real     Real     Real     Real
//upbo           Inf      Inf      Inf      Inf
//lowbo         0.00     0.00     0.00     0.00
       
f = [  2.00     3.00    -2.00     3.00 ];
a = sparse( [ 3.00     2.00     2.00     1.00;
              0.00     4.00     3.00     1.00]);
b = [ 4; 3];
e = [-1;1];

[lp_handle] = lp_maker(f,a,b,e);
result = lpmex('solve',lp_handle);
solution='FALSE';
basis ='FALSE';
lp ='FALSE';
scale ='FALSE';
[valid_handle,obj,x,duals,basis] = lp_info(lp_handle,solution,basis,lp,scale)
.fi
.SH SEE ALSO
lpsolve lpmex mps2hopdm lp_solve

